Package com.enonic.xp.query.aggregation

## Class HistogramAggregationQuery.Builder

- java.lang.Object
- - com.enonic.xp.query.aggregation.AggregationQuery.Builder<BucketAggregationQuery.Builder>
  - - com.enonic.xp.query.aggregation.BucketAggregationQuery.Builder<AbstractHistogramAggregationQuery.Builder>
    - - com.enonic.xp.query.aggregation.AbstractHistogramAggregationQuery.Builder<HistogramAggregationQuery.Builder,​Long>
      - - com.enonic.xp.query.aggregation.HistogramAggregationQuery.Builder

- Enclosing class:
    HistogramAggregationQuery

      public static class HistogramAggregationQuery.Builder
      extends AbstractHistogramAggregationQuery.Builder<HistogramAggregationQuery.Builder,​Long>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder​(String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HistogramAggregationQuery` | `build()` |
    `HistogramAggregationQuery.Builder` | `extendedBoundMax​(long extendedBoundMax)` |
    `HistogramAggregationQuery.Builder` | `extendedBoundMin​(long extendedBoundMin)` |
    `HistogramAggregationQuery.Builder` | `order​(HistogramAggregationQuery.Order order)` |

    - ### Methods inherited from class com.enonic.xp.query.aggregation.AbstractHistogramAggregationQuery.Builder

      `fieldName, interval, minDocCount`

    - ### Methods inherited from class com.enonic.xp.query.aggregation.BucketAggregationQuery.Builder

      `addSubQueries, addSubQuery`

    - ### Methods inherited from class com.enonic.xp.query.aggregation.AggregationQuery.Builder

      `name`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(String name)

  - ### Method Detail

    - #### extendedBoundMin

          public HistogramAggregationQuery.Builder extendedBoundMin​(long extendedBoundMin)

    - #### extendedBoundMax

          public HistogramAggregationQuery.Builder extendedBoundMax​(long extendedBoundMax)

    - #### order

          public HistogramAggregationQuery.Builder order​(HistogramAggregationQuery.Order order)

    - #### build

          public HistogramAggregationQuery build()